(load "rust.scm")
(load "crates-io.scm")
(define-module (meowy-webring)
	#:use-module (crates-io)
	#:use-module (guix)
	#:use-module (guix build-system cargo)
	#:use-module ((guix licenses) #:prefix license:)
	#:use-module (gnu packages)
	#:use-module (gnu packages crates-io)
	#:use-module (rust)
	#:use-module (srfi srfi-1))

(define (keep-file? file stat)
  (not (any (lambda (my-string)
              (string-contains file my-string))
            (list ".git" ".dir-locals.el" "guix.scm" ".guix"))))

(define-public meowy-webring
	(package
		(name "meowy-webring")
		(version "0.1.0-git")
		(source (local-file "../.." "meowy-webring-checkout"
												#:recursive? #t
												#:select? keep-file?))
		(build-system cargo-build-system)
		(arguments (list #:rust backported-rust))
		(native-inputs
		 (list rust-async-stream-3.5
					 rust-rocket-0.5
					 rust-askama-0.11
					 rust-serde-1))
		(synopsis "")
		(description "")
		(home-page "")
		(license license:cc0)))

meowy-webring
